<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Author: Kapu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."liga_cw1/infusion_db.php";
if (file_exists(INFUSIONS."liga_cw1/locale/".$settings['locale'].".php")) {
	include INFUSIONS."liga_cw1/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."liga_cw1/locale/English.php";
}

$inf_title = "Liga CW - 1";
$inf_description = "Wtyczka do prowadzeniu rankingu ligi Clanwars";
$inf_version = "1.0";
$inf_developer = "Kapu";
$inf_email = "kapu1500@gmail.com";
$inf_weburl = "http://www.strefasc.pl";

$inf_folder = "liga_cw1";

$inf_newtable[1] = DB_LIGA1." (
  liga_id SMALLINT(5) UNSIGNED NOT NULL auto_increment,
  liga_name VARCHAR(100) NOT NULL DEFAULT '',
  liga_url VARCHAR(100) NOT NULL DEFAULT '',
  liga_points SMALLINT(5) UNSIGNED NOT NULL,
  liga_win SMALLINT(5) UNSIGNED NOT NULL,
  liga_lwin SMALLINT(5) UNSIGNED NOT NULL,
  liga_loss SMALLINT(5) UNSIGNED NOT NULL,
  liga_lloss SMALLINT(5) UNSIGNED NOT NULL,
  liga_tie SMALLINT(5) UNSIGNED NOT NULL,
  PRIMARY KEY (liga_id)
) TYPE=MyISAM";
	
$inf_droptable[1] = DB_LIGA1;

$inf_adminpanel[1] = array(
	"title" => "Liga CW - 1",
	"image" => "",
	"panel" => "liga_admin.php",
	"rights" => "1CW"
);

$inf_sitelink[1] = array(
	"title" => "Liga CW - 1",
	"url" => "liga_list.php",
	"visibility" => ""
);

?>