<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: liga_admin.php
| Author: Kapu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."liga_cw1/infusion_db.php";
if (!checkrights("1CW") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
if (file_exists(INFUSIONS."liga_cw1/locale/".$settings['locale'].".php")) {
	include INFUSIONS."liga_cw1/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."liga_cw1/locale/English.php";
}



$result = dbquery("SELECT * FROM ".DB_LIGA1."");
if (dbrows($result)) {
	if (isset($_POST['save_team'])) {
		$liga_name = stripinput($_POST['liga_name']);
		$liga_url = stripinput($_POST['liga_url']);
	  $liga_win = intval ($_POST['liga_win']);
	  $liga_points = intval($_POST['liga_points']);
	  $liga_lwin = intval($_POST['liga_lwin']);
	  $liga_loss = intval($_POST['liga_loss']);
    $liga_lloss = intval($_POST['liga_lloss']);
    $liga_tie = intval($_POST['liga_tie']);
    $result = dbquery("SELECT * FROM ".DB_LIGA1." WHERE liga_id='$liga_id'");
    if ($liga_name) {
      if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['liga_id']) && isnum($_GET['liga_id']))) {
        $result = dbquery("UPDATE ".DB_LIGA1." SET liga_name='$liga_name', liga_url='$liga_url', liga_points='$liga_points', liga_win='$liga_win', liga_lwin='$liga_lwin', liga_loss='$liga_loss', liga_lloss='$liga_lloss', liga_tie='$liga_tie' WHERE liga_id='".$_GET['liga_id']."'");
        redirect(FUSION_SELF.$aidlink);
			} elseif (isset($_POST['liga_name'])) {
				$result = dbquery("INSERT INTO ".DB_LIGA1." (liga_name, liga_url, liga_points, liga_win, liga_lwin, liga_loss, liga_lloss, liga_tie) VALUES ('$liga_name', '$liga_url', '$liga_points', '$liga_win', '$liga_lwin', '$liga_loss', '$liga_lloss', '$liga_tie')");
        redirect(FUSION_SELF.$aidlink);
			}
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
  }
  
  

   if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['liga_id']) && isnum($_GET['liga_id']))) {
		$result = dbquery("SELECT * FROM ".DB_LIGA1." WHERE liga_id='".$_GET['liga_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$liga_name = $data['liga_name'];
			$liga_points = $data['liga_points'];
			$liga_url = $data['liga_url'];
			$liga_win = $data['liga_win'];
			$liga_lwin = $data['liga_lwin'];
			$liga_loss = $data['liga_loss'];
			$liga_lloss = $data['liga_lloss'];
			$liga_tie = $data['liga_tie'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;liga_id=".$data['liga_id'];
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$liga_name = "";
		$liga_url = "";
		$liga_points = "";
		$liga_win = "";
		$liga_lwin = "";
		$liga_loss = "";
		$liga_lloss = "";
		$liga_tie = "";
		$formaction = FUSION_SELF.$aidlink;
	}


if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['liga_id']) && isnum($_GET['liga_id']))) {
	$result3 = dbquery("SELECT * FROM ".DB_LIGA1." WHERE liga_id='".$_GET['liga_id']."'");
	if (dbrows($result3) == 0) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result3 = dbquery("DELETE FROM ".DB_LIGA1." WHERE liga_id='".$_GET['liga_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
}

if (isset($_GET['status']) && !isset($message)) {
  if ($_GET['status'] == "deln") {
		$message = "Bd<br />\n<span class='small'>O co kaman?</span>";
	} elseif ($_GET['status'] == "dely") {
		$message = "Usunito";
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}



opentable ("Lista klanw");

     echo "<br />";
    $result2 = dbquery("SELECT * FROM ".DB_LIGA1." ORDER BY liga_name ASC LIMIT 15");
    echo "<table border='0' width='100%'>";
    echo "<tr><td><b>Nazwa klanu</b></td><td><b>Punkty</b></td><td><b>Zwycistwa</b></td><td><b>Poraki</b></td><td><b>Remisy</b></td><td></td></tr>";
    
    if(dbrows($result2) > 0) { 
    $k = 0;
    while($r = dbarray($result2)) {
    $row_color = ($k % 2 == 0 ? "tbl1" : "tbl2");  
    echo "<tr class='".$row_color."'><td><a href='".$r['liga_url']."' />".$r['liga_name']."</a></td><td>".$r['liga_points']."</td><td><font color='#008000'>".$r['liga_win']."</font> (".$r['liga_lwin'].")</td><td><font color='#CE0000'>".$r['liga_loss']."</font> (".$r['liga_lloss'].")</td><td>".$r['liga_tie']."</td><td><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;liga_id=".$r['liga_id']."'>Edytuj</a></td></tr>"; 
    $k++;
    }
    } else {
    echo "<tr><td colspan='2'>Brak klanw.</td></tr>";  
    }
    echo "</table>";
      echo "<br /><br />";
    
       
closetable();
opentable ("Dodaj/Edytuj klan");

/* USUWANIE */
  if ((isset($_GET['action']) && $_GET['action'] == "edit")) {
  echo"<div align='right'><a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;liga_id=".$_GET['liga_id']."'>Usu</a></div>"; }
  
/* FORMULARZ */
  echo "<form id='inputform' method='post' action='".$formaction."' enctype='multipart/form-data'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='490' class='center'>\n<tr>\n";
	echo "<td width='100' class='tbl'>Nazwa klanu</td>\n";
	echo "<td class='tbl'><input type='text' name='liga_name' maxlength='250' value='".$liga_name."' class='textbox' style='width:300px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>URL</td>\n";
	echo "<td class='tbl'><input type='text' name='liga_url' maxlength='250' value='".$liga_url."' class='textbox' style='width:300px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>Punkty</td>\n";
	echo "<td class='tbl'><input type='text' name='liga_points' maxlength='50' value='".$liga_points."' class='textbox' style='width:70px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>Zwycistwa</td>\n";
	echo "<td class='tbl'><input type='text' name='liga_win' maxlength='50' value='".$liga_win."' class='textbox' style='width:70px;' /> ( <input type='text' name='liga_lwin' maxlength='50' value='".$liga_lwin."' class='textbox' style='width:30px;' /> )</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>Poraki</td>\n";
	echo "<td class='tbl'><input type='text' name='liga_loss' maxlength='50' value='".$liga_loss."' class='textbox' style='width:70px;' /> ( <input type='text' name='liga_lloss' maxlength='50' value='".$liga_lloss."' class='textbox' style='width:30px;' /> )</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='100' class='tbl'>Remisy</td>\n";
	echo "<td class='tbl'><input type='text' name='liga_tie' maxlength='50' value='".$liga_tie."' class='textbox' style='width:70px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>";
	echo "<input type='submit' name='save_team' value='Zapisz' class='button' /> <a href='".FUSION_SELF.$aidlink."' />Anuluj</a></td>\n";
	echo "</tr>\n</table>\n</form>\n";

closetable ();

require_once THEMES."templates/footer.php";	
	?>