<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: liga_list
| Author: Kapu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INFUSIONS."liga_cw1/infusion_db.php";

if (file_exists(INFUSIONS."liga_cw1/locale/".$settings['locale'].".php")) {
	include INFUSIONS."liga_cw1/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."liga_cw1/locale/English.php";
}
opentable ("");


    $result = dbquery("SELECT * FROM ".DB_LIGA1." ORDER BY liga_points DESC, liga_win DESC, liga_lwin DESC, liga_loss ASC, liga_lloss ASC LIMIT 15");
    echo "<table border='0' width='100%'>";
    echo "<tr><td width='30'><b></b></td><td><b>Nazwa klanu</b></td><td><b>Punkty</b></td><td><b>Zwycistwa</b></td><td><b>Poraki</b></td><td><b>Remisy</b></td></tr>";
    if(dbrows($result) > 0) { 
    $lp = 1;
    while($r = dbarray($result)) { 
    $row_color = ($lp % 2 == 0 ? "tbl1" : "tbl2");  
    echo "<tr class='".$row_color."'><td align='center'>".$lp."</td><td><a href='".$r['liga_url']."' />".$r['liga_name']."</a></td><td>".$r['liga_points']."</td><td><font color='#008000'>".$r['liga_win']."</font> (".$r['liga_lwin'].")</td><td><font color='#CE0000'>".$r['liga_loss']."</font> (".$r['liga_lloss'].")</td><td>".$r['liga_tie']."</td></tr>"; 
    $lp++;
    }
    } else {
    echo "<tr><td colspan='2'>Brak klanw.</td></tr>";  
    }
    echo "</table>";

    
closetable();
require_once THEMES."templates/footer.php";   
?>